Skip to main content
GET
/
api
/
apps
/
v1
/
apps
List Apps (v1)
curl --request GET \
  --url https://api.example.com/api/apps/v1/apps \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "accessControl": {
        "accessStatuses": [
          {
            "userId": "<string>"
          }
        ],
        "discoverable": true
      },
      "authorship": {
        "isDraft": true,
        "author": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "configurationType": "STANDARD",
      "entryPoint": "<string>",
      "id": "<string>",
      "isPinned": true,
      "mountDatasets": true,
      "name": "<string>",
      "project": {
        "id": "<string>",
        "name": "<string>",
        "ownerId": "<string>",
        "ownerUsername": "<string>"
      },
      "renderIFrame": true,
      "url": "<string>",
      "views": 123,
      "currentVersion": {
        "createdAt": 123,
        "id": "<string>",
        "tags": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "updatedAt": 123,
        "bundle": {
          "id": "<string>",
          "name": "<string>"
        },
        "content": {
          "mountDatasets": true,
          "dataPlaneId": "<string>",
          "dfsCommitId": "<string>",
          "entryScript": "<string>",
          "environmentId": "<string>",
          "environmentRevisionId": "<string>",
          "extendedIdentityPropagationToAppsEnabled": true,
          "externalVolumeMountIds": [
            "<string>"
          ],
          "gitRef": {
            "value": "<string>"
          },
          "netAppVolumeIds": [
            "<string>"
          ],
          "resolvedCommits": {
            "dfsCommitId": "<string>",
            "gitCommitId": "<string>",
            "importedGitRepos": [
              {
                "ref": "<string>",
                "repoId": "<string>",
                "repoName": "<string>"
              }
            ],
            "importedProjects": [
              {
                "commitId": "<string>",
                "directoryName": "<string>",
                "ownerId": "<string>",
                "projectId": "<string>",
                "projectName": "<string>",
                "release": "<string>"
              }
            ]
          }
        },
        "currentInstance": {
          "createdAt": 123,
          "id": "<string>",
          "status": "<string>",
          "describeUrl": "<string>",
          "dfsCommitId": "<string>",
          "gitCommitId": "<string>",
          "publisher": {
            "id": "<string>",
            "name": "<string>"
          }
        },
        "deployment": {
          "autoscalingSpecification": {
            "enabled": true,
            "maxReplicas": 15,
            "minReplicas": 15,
            "scaleDownStabilizationWindowSeconds": 1800,
            "scaleUpStabilizationWindowSeconds": 1800,
            "targetCpuAvgUtilizationPct": 50,
            "targetMemoryAvgUtilizationPct": 50,
            "useSessionAffinity": true
          },
          "hardwareTierId": "<string>",
          "vanityUrl": "<string>"
        },
        "description": "<string>",
        "versionNumber": 123
      },
      "description": "<string>",
      "taxonomyTags": [
        {
          "id": "<string>",
          "label": "<string>",
          "namespaceId": "<string>",
          "description": "<string>",
          "fullPath": [
            "<string>"
          ],
          "namespaceLabel": "<string>"
        }
      ],
      "thumbnailEtag": "<string>",
      "updatedAt": 123,
      "vanityUrl": "<string>"
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

projectId
string

The id of the project to retrieve apps for.

name
string

The name filter for the apps to retrieve.

includeTemplateApps
boolean
default:false
sortField
enum<string>
default:lastViewed
Available options:
name,
lastUpdated,
status,
views,
lastViewed
sortOrder
enum<string>
default:asc
Available options:
asc,
desc
limit
integer
offset
integer
default:0
ownerId
string
status
enum<string>
Available options:
Queued,
Scheduled,
Pending,
Preparing,
Building,
Pulling,
Running,
Serving,
StopRequested,
StopAndDiscardRequested,
Stopping,
Finishing,
Stopped,
Succeeded,
Failed,
Error
publisherId
string
tagIds
string[]
draftsOnly
boolean
default:false

When omitted or false, returns only published Apps. When true, returns only draft Apps that the caller is authorized to edit.

Response

Success

items
object[]
required
metadata
object
required